org.appng.api.model

## Interface Identifier

- All Superinterfaces:
    Identifiable<Integer>, Nameable, Named<Integer>, Serializable, Versionable<Date>
  All Known Subinterfaces:
    AccessibleApplication, Application
  All Known Implementing Classes:
    ApplicationImpl, ApplicationProvider, PackageVersion, Template, TestBase.SimpleApplication

      public interface Identifier
      extends Named<Integer>, Versionable<Date>

  Provides general information about a `PackageInfo`.
  Author:
    Matthias Herlitzius

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAppNGVersion()` Returns the version of appNG the `Application` is compatible with.
    `String` | `getDisplayName()` Returns the display name.
    `String` | `getLongDescription()` Returns the description.
    `String` | `getPackageVersion()` Returns the version.
    `String` | `getTimestamp()` Returns the timestamp the `Application` was build.
    `boolean` | `isInstalled()` Checks whether the `Application` is installed.
    `boolean` | `isSnapshot()` Checks whether the `Application` has a SNAPSHOT-version

    - ### Methods inherited from interface org.appng.api.model.Nameable

      `getDescription, getName`

    - ### Methods inherited from interface org.appng.api.model.Identifiable

      `getId`

    - ### Methods inherited from interface org.appng.api.model.Versionable

      `getVersion`

- - ### Method Detail

    - #### getDisplayName

          String getDisplayName()

      Returns the display name.
      Returns:
        the display name

    - #### getPackageVersion

          String getPackageVersion()

      Returns the version.
      Returns:
        the version

    - #### getTimestamp

          String getTimestamp()

      Returns the timestamp the `Application` was build.
      Returns:
        the timestamp the `Application` was build

    - #### getLongDescription

          String getLongDescription()

      Returns the description.
      Returns:
        the description

    - #### getAppNGVersion

          String getAppNGVersion()

      Returns the version of appNG the `Application` is compatible with.
      Returns:
        the version of appNG the `Application` is compatible with

    - #### isInstalled

          boolean isInstalled()

      Checks whether the `Application` is installed.
      Returns:
        `true` if the `Application` is installed, `false` otherwise

    - #### isSnapshot

          boolean isSnapshot()

      Checks whether the `Application` has a SNAPSHOT-version
      Returns:
        `true` if the `Application` has a SNAPSHOT-version, `false` otherwise

Copyright © 2011–2023 aiticon GmbH. All rights reserved.